# Last updated for 0.22
%define gtk2_version 2.10.0
%define libwnck_version 2.10.0

### Abstract ###

Name: devhelp
Version: 2.28.1
Release: 3%{?dist}
License: GPLv2+
Group: Development/Tools
Summary: API documention browser
URL: http://developer.imendio.com/projects/devhelp
Source: http://download.gnome.org/sources/devhelp/2.28/devhelp-%{version}.tar.bz2
BuildRoot: %{_tmppath}/devhelp-%{version}-%{release}-root-%(%{__id_u} -n)

### Patches ###

Patch1: devhelp-2.28.1-missing-webkit-1.0.patch

### Dependencies ###

Requires(pre): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
Requires(post): GConf2 >= 2.14

### Build Dependencies ###

BuildRequires: desktop-file-utils >= 0.3
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: gtk2-devel
BuildRequires: WebKit-gtk-devel
BuildRequires: GConf2-devel
BuildRequires: unique-devel
BuildRequires: gnome-common
BuildRequires: autoconf automake libtool

%description
Devhelp is an API documentation browser for the GNOME desktop.
It works natively with API documentation generated by gtk-doc.

%package devel
Summary: Library to embed Devhelp in other applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libwnck-devel >= %{libwnck_version}
Requires: pkgconfig
Requires: WebKit-gtk-devel

%description devel
Devhelp is an API documentation browser for the GNOME desktop.
This package contains a library that can be used for embedding devhelp
into other applications such as IDEs.

%prep
%setup -q -n devhelp-%{version}
%patch1 -p1 -b .missing-webkit-1.0

# the configure script in the 2.28.0 tarball is bad
autoreconf -f -i

# force regeneration
rm data/devhelp.schemas

%build
%configure --disable-static
make %{?_smp_mflags} CFLAGS="$CFLAGS -fno-strict-aliasing"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} install 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome			\
  --delete-original					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'

rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

mkdir -p $RPM_BUILD_ROOT%{_datadir}/devhelp/books

%find_lang devhelp

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f devhelp.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README 

%{_bindir}/devhelp
%{_libdir}/libdevhelp*.so.*

%{_datadir}/applications/*.desktop
%{_datadir}/devhelp
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/icons/hicolor/16x16/apps/devhelp.png
%{_datadir}/icons/hicolor/22x22/apps/devhelp.png
%{_datadir}/icons/hicolor/24x24/apps/devhelp.png
%{_datadir}/icons/hicolor/32x32/apps/devhelp.png
%{_datadir}/icons/hicolor/48x48/apps/devhelp.png
%{_datadir}/icons/hicolor/scalable/apps/devhelp.svg

%{_libdir}/gedit-2/plugins/devhelp
%{_libdir}/gedit-2/plugins/devhelp.gedit-plugin

%files devel
%defattr(-,root,root)
%{_prefix}/include/devhelp-1.0
%{_libdir}/libdevhelp*.so
%{_libdir}/pkgconfig/*


%changelog

